Bug 127684 - Main menu opens in the wrong direction when the panel is on the right
Summary: Main menu opens in the wrong direction when the panel is on the right
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-12 15:47 UTC by D.S. Ljungmark
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 17:22:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
picture describing the problem (66.93 KB, image/jpeg)
2004-07-12 15:48 UTC, D.S. Ljungmark
no flags Details

Description D.S. Ljungmark 2004-07-12 15:47:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; sv-SE; rv:1.6)
Gecko/20040203 Epiphany/1.0.7

Description of problem:
When moving the panel to reside on the right hand of the screen, the
main menu will open towards the left. So far, things are good.
However, submenu's (second level?) Will open towards the right, and
then hide the  upper level menus. This is not expected behaviour and
makes navigating the menu quite difficult.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Drag panel to the right
2.click menu
3.navigate into "deep nesting" 
    

Actual Results:  menu falls out towards the right

Expected Results:  menu continues to expand towards the left

Additional info:

Comment 1 D.S. Ljungmark 2004-07-12 15:48:56 UTC
Created attachment 101813 [details]
picture describing the problem

This is an example of how it doesn't work right :)  (Yes, the look of the
desktop is customized. )

Comment 2 Mark McLoughlin 2004-08-11 16:14:21 UTC
This is just gtk2 behaviour, so moving there - wouldn't be surprised
if the bug has been logged upstream already, though.

Comment 3 Matthias Clasen 2004-08-11 17:22:07 UTC
There is an upstream gtk bug tracking this issue: 
http://bugzilla.gnome.org/show_bug.cgi?id=130243


Note You need to log in before you can comment on or make changes to this bug.